Subject: Re: [PATCH V3 4/5] mm: mmap: Add mmap flag to request VM_LOCKONFAULT

From: Eric B Munson <[email-masked]>
Date: Tue, 21 Jul 2015 11:37:22 -0400

On Mon, 20 Jul 2015, Chris Metcalf wrote:

> On 07/18/2015 03:11 PM, Paul Gortmaker wrote:
> >On Tue, Jul 7, 2015 at 1:03 PM, Eric B Munson<[email-masked]>  wrote:
> >>>The cost of faulting in all memory to be locked can be very high when
> >>>working with large mappings.  If only portions of the mapping will be
> >>>used this can incur a high penalty for locking.
> >>>
> >>>Now that we have the new VMA flag for the locked but not present state,
> >>>expose it  as an mmap option like MAP_LOCKED -> VM_LOCKED.
> >An automatic bisection on arch/tile leads to this commit:
> >
> >5a5656f2c9b61c74c15f9ef3fa2e6513b6c237bb is the first bad commit
> >commit 5a5656f2c9b61c74c15f9ef3fa2e6513b6c237bb
> >Author: Eric B Munson<[email-masked]>
> >Date:   Thu Jul 16 10:09:22 2015 +1000
> >
> >     mm: mmap: add mmap flag to request VM_LOCKONFAULT
> 
> Eric, I'm happy to help with figuring out the tile issues.

Thanks for the offer, I think I have is sorted in V4 (which I am
checking one last time before I post).

Eric